@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700&display=swap');
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
  
}
html{
    font-size: 62.5%;
}
body{
    font-family: 'Montserrat', sans-serif;
}
.header{
    position: relative;
    height: 95vh;
    background:linear-gradient(rgba(0,0,0,0.5),rgba(0,0,0,0.5)),url(../img/header-image.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.nav-bar{
    padding: 1rem;
}
 .logo, .nav-bar a{
    display: inline-block;
    color: white;
}
 .nav-bar .logo{
    float: left;
    padding-left: 22rem;

}
 .nav-bar .nav-items{
    display: inline-block;
    float: right;
    margin-top: 0.7rem;
    margin-right: 20%;
}
.nav-bar::after{
    content: "";
    display: block;
    clear: both;
}
.nav-bar .nav-item{
  display: inline-block;
  text-transform: uppercase;
  padding: 1rem;
  font-size: 1.2rem;
}
ul li{
    list-style: none;
}
a{
    font-size: 1.6 rem;
    text-decoration: none;
}
p,li{
    font-size: 1.6 rem;
    margin-bottom: 0.5em;
    letter-spacing: 0.10em;
}
h1,h2,h3{
    font-weight: 400;
    margin-bottom: 0.5em;
    letter-spacing: 0.1em;
}

/* #################### utility classes ################## */
.lg-heading{
    font-size: 3rem;
}
.md-heading{
    font-size: 2.2rem;
}
.text-light{
    color: rgb(241, 237, 237);
}
.text-red{
    color: rgb(246, 74, 6);
}
.text-gray{
    color: rgb(133, 124, 124);
}
.text-black{
    background-color:#263238;
}
.text-white{
    color: rgb(241, 228, 228);
}
/* #################### finish utility classes ############## */

 .nav-bar a:link,
 .nav-bar a:visited{
  color: rgb(241, 237, 237);
}
.nav-bar a{
    padding-bottom: 0.3rem;
}
 .nav-bar a:hover{
    border-bottom: rgb(241, 237, 237) solid 1px;
}
.container{
    max-width: 1200px;
    width: 90%;
    margin: 0 auto;
}
.btn-primary{
    background-color: white;
    border-radius: 100px;
}
.btn{
    display: inline-block;
    padding: 0.5em 1.5em;
    font-weight: 500;
    text-transform: uppercase;
    margin: 0.5em 0;
}
.btn-primary:hover{
    background: rgb(223, 217, 217)
}
.button{
    display: inline-block;
    background: white;
    border: rgb(175, 33, 33) 2px solid;
    color: rgb(211, 27, 27);
    width: 8rem;
    margin-top: 1em;
    padding: 1rem 2rem;
    border-radius: 100px;
    text-transform: uppercase;
}
.button:hover{
    background: rgba(218, 207, 208, 0.473);
}
/* ################# header content ################### */
.header-content{
    position: absolute;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    background: linear-gradient(rgba(0,0,0,.2),rgba(0,0,0,.2));
}
.header-content h3{
    text-transform: uppercase;
    font-weight: 700;  
}
.header-content p{
    text-transform: uppercase;
}

/* ################# Showcase Styling ############# */
.showcase{
   background: #ddd;
   padding: 10rem 16rem;
}
.row{
    height: 250px;
    background: white;
    box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.301);
}
.row1{
    margin-bottom: 10rem;
}
.row1 .img-box,.row2 .text-box{
    float: left;
    width: 50%;
}
.row2 .img-box,.row1 .text-box{
    float: right;
    width: 50%;
}
.row .img-box{
 height: 100%;
}
.row .text-box{
    padding: 3rem;
    font-size: 11px;
    word-spacing: 1px;
    font-weight: 600;
}
.row .img-box img{
    display: inline-block;
    height: 100%;
    width: 100%;
    object-fit: cover;
}
.row::after{
  content: "";
  display: block;
  clear: both;
}

/* ################### features ############ */
.features{
    padding: 10rem 0;
}
.box-wrapper{
    box-shadow: 5px 5px 20px 0px rgba(26, 22, 22, 0.301);
}
.box{
    float: left;
    padding: 2rem;
    text-align: center;
    font-weight: 500;
}
.box-1,.box-3{
    width: 33%;
    background-color: #263238;
    color: white;
}
.box-2{
    width: 34%;
    background: linear-gradient(25deg,#d64c7f,#ee4758 50%);
    color: white;
}
.box-wrapper::after{
    content: "";
    display: block;
    clear: both;
}
.footer{
    margin-top: 2rem;
    padding: 2rem 0;
    background-color: #263238;
}
.footer-para{
    padding-top: 1rem;
    color: white;
}
.foot{
    text-align: center;
}
.footer-symbol{
    display: inline-block;
    margin: 0 1rem;
    color: white;
}

/* ############ ABOUT PAGE STYLING ################ */
.about{
    padding: 5rem 0;
}
.contain{
    max-width: 1200px;
    width: 60%;
    margin: 0% auto;
}
.about-heading::after{
    content: "";
    display: block;
    border: 3px solid #e63946;
}
.fonti{
    font-size: 1.2rem;
}
/* ################# about-wrapper ############## */
.about-wrapper{
    text-align: center;
    margin-top: 2rem;
}
.about-wrapper .left{
float: left;
width: 50%;
}
.about-wrapper .right{
float: right;
width: 50%;
}
.about-wrapper::after{
    content: "";
    display: block;
    clear: both;
}
.about-wrapper li::before{
    content: '\2713';
    color: #e63946;
    padding-right: 1rem;
    font-weight: bold;
}
/* ############# show-off ####### */
.show-off{
    margin-top: 3rem;
    text-align: center;
}
.show-off .show{
    float: left;
    width: 25%;
}
.show-off::after{
content: "";
display: block;
clear: both;
}
.show-off h2{
    color: #e63946;
    font-weight: 700;  
}
.show-off p{
    font-weight: 700;
    color: rgba(0, 0, 0, 0.774);
}
/* ######### lastly ########## */
.cta-banner{
    background: linear-gradient(25deg,#d64c7f,#ee4758 50%);
    color: white;
    padding: 1rem;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.486);
    margin-top: 3rem;
}
.cta-banner-left{
width: 60%;
float: left;
}
.cta-banner-right{
width: 40%;
float: right;
text-align: right;
}
.cta-line{
    font-weight: 700;
    font-size: 1.2rem;
    margin-top: 1.1rem;
}
.btn-cta{
    text-align: center;
    display: inline-block;
    font-weight: 700;
    font-size: 2.5rem;
    text-transform: uppercase;
    border: 4px solid white;
    padding: 0.3em 2em;
    letter-spacing: 0.5rem;
    color: white;
}
.cta-banner::after{
    content: "";
    display: block;
    clear: both;
}
/* ############# contact page styling ######## */
.contact-form{
    padding: 5rem 0;
    background: #ddd;
}

.company-address{
    background-color: white;
    float: left;
    width: 49%;
}
.form-wrapper::after{
    content: "";
    display: block;
    clear: both;
}
.company-address img{
    max-width: 90%;
    min-height: 35rem;
    object-fit: cover;
    object-position: right;
    padding: 1rem;
}
.address1,.address2,.address3{
    padding: 1rem;
}
.company-address h2{
    color: rgb(128, 128, 128);
}
.company-address p{
    font-weight: 600;
    color: rgb(102, 99, 99);
}
.company-address i{
    display: inline-block;
    margin-right: 1rem;
}
.company-address h2{
    display: inline-block;
}
/* ################ form styling ############ */
.form{
    font-size: 1.3rem;
    background-color: white;
    float: right;
    width: 49%;
}
.form-heading::after{
    content: "";
    display: block;
    border: 3px solid #e63946;
    width: 100%;
}
.form-group label{
    display: block;
    font-weight: 500;
}
.form-group input{
    padding: 0.5rem;
    width: 100%;
}
.form-group{
    margin-bottom: 1.2rem;
}
.form-group label::after{
    content: "*";
    color: #e63946;
}
.form textarea{
    width: 100%;
    height: 230px;
    padding: 1rem;
}
.form-btn{
    display: block;
    margin: 0 auto;
    padding: 0.5rem 3rem;
    font-size: 1.8rem;
    text-transform: uppercase;
    background-color: #e63946;
    color: white;
    outline: none;
    border: none;
    cursor: pointer;
}
.form{
    padding: 1rem;
}
.for-all{
    background-color: #ddd;
}
/* ################ media quaries ########### */

@media (max-width:653px){
    html{
        font-size: 50%;
    }
    .nav-bar .logo{
        float: left;
        padding: 0;
    
    }
    .nav-bar .nav-items,.nav-bar .logo{
        float: none;
        display: block;
        width: 100%;
        text-align: center;
    }
    .showcase{
        background: #ddd;
        padding: 10rem 0;
      
     }
    .row{
        height: auto;
        width: 100%;
    }
    .row .img-box,.row .text-box{
        display: block;
        float: none;
        width: 100%;
        text-align: center;
    }
    .features .box{
        float: none;
        width: 100%;
        text-align: center;
        box-shadow: 5px 5px 20px 0px rgba(26, 22, 22, 0.301);
    }
    .features .box-1,.features .box-2{
        margin-bottom: 7rem;
    }
    .box-wrapper{
        box-shadow: none;
    }
    .contain1{
        max-width: 1200px;
        width: 90%;
        margin: 0% auto;
    }
    .cta-banner-left,.cta-banner-right{
        float: none;
        width: 100%;
        text-align: center;
    }
    .cta-banner-left{
        letter-spacing: .5rem;
    }
    .cta-banner-right{
        margin-top: 1rem;
    }
    .form-wrapper .company-address{
        float: none;
        width: 100%;
        height: auto;
        margin-bottom: 5rem;
    }
    .form-wrapper .form{
        float: none;
        width: 100%;
        height: auto;
    }
}
@media (min-width:501px) and (max-width:768px){
    html{
        font-size: 50%;
    }
    p{
        font-size: 1.8rem;
    }
    .nav-bar .logo{
        float: left;
        padding: 0;
    
    }
    .nav-bar .nav-items,.nav-bar .logo{
        float: none;
        display: block;
        width: 100%;
        text-align: center;
    }
    .showcase{
        background: #ddd;
        padding: 10rem 0;
      
     }
    .row{
        height: auto;
        width: 100%;
    }
    .row .img-box,.row .text-box{
        display: block;
        float: none;
        width: 100%;
        text-align: center;
    }
    .features .box{
        float: none;
        width: 100%;
        text-align: center;
        box-shadow: 5px 5px 20px 0px rgba(26, 22, 22, 0.301);
    }
    .features .box-1,.features .box-2{
        margin-bottom: 7rem;
    }
    .box-wrapper{
        box-shadow: none;
    }
    .contain1{
        max-width: 1200px;
        width: 90%;
        margin: 0% auto;
    }
    .cta-banner-left,.cta-banner-right{
        float: none;
        width: 100%;
        text-align: center;
    }
    .cta-banner-left{
        letter-spacing: .5rem;
    }
    .cta-banner-right{
        margin-top: 1rem;
    }
    .form-wrapper .company-address{
        float: none;
        width: 100%;
        height: auto;
        margin-bottom: 5rem;
    }
    .form-wrapper .form{
        float: none;
        width: 100%;
        height: auto;
    }
}
@media (min-width:769px) and (max-width:1200px){
    html{
        font-size: 56.5%;
    }
    .row .text-box h2{
        font-size: 2.2rem;
        font-weight: 500;
    }
}
@media (orientation:landscape) and (max-height: 500px){
    .header{
        height: 90vmax;
    }
}
}